
#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

#define ACCESS_VOTE_SHUFFLE 1

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.0";

public admin_vote_shuffle(HLCommand,HLData,HLUserName,UserIndex) {
	new unused[MAX_NAME_LENGTH];
	
	if (vote_allowed()!=1) {
		selfmessage( "Vote not allowed at this time.");
		return PLUGIN_HANDLED;
	}

	vote("Shuffle teams?","Yes","No","shuffle_vote",unused);
	return PLUGIN_HANDLED;
}

public shuffle_vote(a,b,c,d) {
	
	if ( a == 1 ) {
		new ratio = getvar("map_ratio");
		if ( ratio == 0 ) {
			say("Shuffle vote is not enabled");
			return;
		}
		if ( c > (ratio/100)*d ) {
			exec ("teamchange 2");
			exec ("cvarupdate");
			exec ("changeteamnext");
		} else {
			say("Not enough votes for shuffle");
		}
	} else {
		say("Not enough votes for shuffle");
	}
}


public plugin_init() {
	plugin_registerinfo("Admin shuffle plugin","Commands specific to the bmx mod.",STRING_VERSION);
	plugin_registercmd("admin_vote_shuffle","admin_vote_shuffle",ACCESS_VOTE_SHUFFLE,"admin_vote_shuffle: Starts a vote to shuffle teams.");
	return PLUGIN_CONTINUE;
}
